@testset "FACTDataREader FACT_power test" begin
    df1 = get_geo_objects("nm_counties")
    resize!(df1, 3)
    selection_dict = Dict(
        "geo_id" => df1[!, :geo_id],
        "shape_obj" => df1[!, :shape_obj],
    )
    # TEST of blocks
    df_counties = get_power_stations_lines("us_power", selection_dict)
    # Test if the result is a DataFrame
    @test df_counties isa DataFrame
    # Test for expected number of rows/columns
    @test size(df_counties, 1) == 3
    @test size(df_counties, 2) == 4
end
